##### 7.5.21.0. testFraction

Procedure from library `olga.lib` (see olga_lib).

Usage:
  testFraction(frac, locType, locData), vector frac, int locType, list/intvec/vector locData

Purpose:
  test if the given vector is a representation of a fraction in the specified localization wrt. the checks from fracStatus

Assume:

Return:
  nothing

Note:
  throws error if checks were not successful

Example:

    LIB "olga.lib";
    ring r = QQ[x,y,Dx,Dy];
    def R = Weyl();
    setring R;
    list L = x;
    vector frac = [x,Dx,x*Dx+2,x^2];
    testFraction(frac, 0, L); // correct localization, no error
    frac = [x,Dx,x*Dx,x^2];
    testFraction(frac, 0, L); // incorrect localization, results in error
    ==>    ? left and right representation are not equal in:x^2*gen(4)+x*Dx*gen(3\
       )+x*gen(1)+Dx*gen(2)
    ==>    ? leaving olga.lib::testFraction (0)

User manual for Singular version 4.4.1, 2025, generated by texi2html.